Email an extraction code

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /case/{caseId}/extraction/{extractionCode}/send-email

Queues the extraction-code email to the code's custodian.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

    Id of the case

  • extractionCode string Required

    extraction code

application/json

Body

  • custodianEmail string

    Minimum length is 3, maximum length is 100.

  • custodianName string

    Minimum length is 3, maximum length is 100.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /case/{caseId}/extraction/{extractionCode}/send-email
curl \
 --request POST 'http://api.example.com/case/{caseId}/extraction/{extractionCode}/send-email' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "custodianEmail": "string",
  "custodianName": "string"
}'
Request examples
# Headers
organization: string

# Payload
{
  "custodianEmail": "string",
  "custodianName": "string"
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}